Name: libmthca
Version: 1.0.6
Release: 16%{?dist}
Summary: Mellanox InfiniBand HCA Userspace Driver
Provides: libibverbs-driver.%{_arch}
Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/mthca/%{name}-%{version}.tar.gz
Provides: %{name}-devel = %{version}-%{release}
BuildRequires: libibverbs-devel >= 1.2.0
%ifnarch %{mips}
BuildRequires: valgrind-devel
%endif

%description
libmthca provides a device-specific userspace driver for Mellanox HCAs
(MT23108 InfiniHost and MT25208 InfiniHost III Ex) for use with the
libibverbs library.

%package static
Summary: Development files for the libmthca driver
Group: System Environment/Libraries
Provides: %{name}-devel-static = %{version}-%{release}
Obsoletes: %{name}-devel-static < 1.0.5-4
Requires: %{name} = %{version}-%{release}

%description static
Static version of libmthca that may be linked directly to an
application, which may be useful for debugging.

%prep
%setup -q

%build
%ifarch %{mips}
%configure
%else
%configure --with-valgrind
%endif
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/libmthca.so

%files
%{_libdir}/libmthca-rdmav2.so
%{_sysconfdir}/libibverbs.d/mthca.driver
%doc AUTHORS ChangeLog README
%license COPYING

%files static
%{_libdir}/libmthca.a

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Aug 11 2016 Michal Toman <mtoman@fedoraproject.org> - 1.0.6-15
- No valgrind on MIPS

* Wed Mar 30 2016 Honggang Li <honli@redhat.com> - 1.0.6-14
- Rebuild against latest libibverbs
- Minor fixes

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 Doug Ledford <dledford@redhat.com> - 1.0.6-7
- Fix Url and Source tags

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 20 2011 Doug Ledford <dledford@redhat.com> - 1.0.6-4
- Improve the valgrind usage based upon where it's available

* Wed Jul 20 2011 Doug Ledford <dledford@redhat.com> - 1.0.6-3
- Undo pseudoprovide workaround as it's no longer needed due to
  a change in the libibverbs requirements

* Wed Jul 20 2011 Doug Ledford <dledford@redhat.com> - 1.0.6-2
- Helps if you put the % in front of a macro :-/

* Wed Jul 20 2011 Doug Ledford <dledford@redhat.com> - 1.0.6-1
- Update to latest upstream version
- Add pseudoprovide for libibverbs-driver.{_arch} while keeping old
  pseudoprovide until libibverbs can be rebuilt without needing the
  old provide

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 11 2010 Doug Ledford <dledford@redhat.com> - 1.0.5-8
- Update Obsoletes to resolve problem in update repo

* Mon Jan 11 2010 Doug Ledford <dledford@redhat.com> - 1.0.5-7
- Don't try to build on s390(x) as the hardware doesn't exist there

* Sat Dec 05 2009 Doug Ledford <dledford@redhat.com> - 1.0.5-6
- Tweak the provides and obsoletes a little bit to make sure we only pull in
  the -static package to replace past -devel-static packages, and not past
  -devel packages.

* Wed Dec 02 2009 Doug Ledford <dledford@redhat.com> - 1.0.5-5
- Rename devel-static package to just -static, it only has a single static
  lib in it and no actual devel files (like headers, those are part of
  libibverbs-devel instead).  Obsolete the various other named packages we
  want this to supercede
- Enable valgrind annotations on all arches except ia64
- Update to latest code, including update for libibverbs API change
- Bump release to 5 so it is higher than the current rhel5 libmthca release
- Add various patches from the upstream git repo that haven't been rolled into
  a new release tarball yet

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue May 27 2008 Roland Dreier <rolandd@cisco.com> - 1.0.5-1
- New upstream release
- Change openib.org URLs to openfabrics.org URLs

* Thu May 22 2008 Todd Zullinger <tmz@pobox.com> - 1.0.4-3
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.4-2
- Autorebuild for GCC 4.3

* Thu Nov  9 2006 Roland Dreier <rdreier@cisco.com> - 1.0.4-1
- New upstream release
- Depend on libibverbs 1.1, and package new library file names.
- Spec file cleanups: remove unused ver macro, improve BuildRoot, move
  static libraries into devel-static package, and don't use makeinstall
  any more (all suggested by Doug Ledford <dledford@redhat.com>).

* Wed Jul 26 2006 Roland Dreier <rdreier@cisco.com> - 1.0.3-1
- New upstream release

* Tue Mar 14 2006 Roland Dreier <rdreier@cisco.com> - 1.0.2-1
- New upstream release

* Thu Feb 16 2006 Roland Dreier <rdreier@cisco.com> - 1.0-1
- New upstream release

* Wed Feb 15 2006 Roland Dreier <rolandd@cisco.com> - 1.0-0.5.rc7
- New upstream release

* Sun Jan 22 2006 Roland Dreier <rolandd@cisco.com> - 1.0-0.4.rc6
- New upstream release

* Tue Oct 25 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.3.rc5
- New upstream release

* Wed Oct  5 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.2.rc4
- Update to upstream 1.0-rc4 release

* Mon Sep 26 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.1.rc3
- Initial attempt at Fedora Extras-compliant spec file
